const { ccclass } = cc._decorator;

@ccclass
export default class auto_localLogin extends cc.Component {
	localLogin: cc.Node;
	txtAccount: cc.Node;
	editAccount: cc.Node;
	BACKGROUND_SPRITE: cc.Node;
	TEXT_LABEL: cc.Node;
	PLACEHOLDER_LABEL: cc.Node;
	btnLogin: cc.Node;
	txtLogin: cc.Node;

	public static URL:string = "db://assets/bundle/localLogin/localLogin.prefab"

    onLoad () {
		this.localLogin = this.node
		this.txtAccount = this.localLogin.getChildByName("txtAccount");
		this.editAccount = this.txtAccount.getChildByName("editAccount");
		this.BACKGROUND_SPRITE = this.editAccount.getChildByName("BACKGROUND_SPRITE");
		this.TEXT_LABEL = this.editAccount.getChildByName("TEXT_LABEL");
		this.PLACEHOLDER_LABEL = this.editAccount.getChildByName("PLACEHOLDER_LABEL");
		this.btnLogin = this.localLogin.getChildByName("btnLogin");
		this.txtLogin = this.btnLogin.getChildByName("txtLogin");

    }
}
